HFST-SUBTRACT(1)

NAME
hfst-subtract - =Subtract (minus) two transducers

SYNOPSIS
hfst-subtract [OPTIONS...] [INFILE1 [INFILE2]]

DESCRIPTION
Subtract (minus) two transducers

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-1, --input1=INFILE1
    Read first input transducer from INFILE1

-2, --input2=INFILE2
    Read second input transducer from INFILE2

-C, --do-not-convert
    Do not allow transducers to be converted into the same type

-o, --output=OUTFILE
    Write results to OUTFILE

  Flag diacritics:

-F, --harmonize-flags
    Harmonize flag diacritics

-H, --do-not-harmonize Do not harmonize

If OUTFILE, or either INFILE1 or INFILE2 is missing or -, standard streams will be used. INFILE1, INFILE2, or both, must be specified. Format of result depends on format of INFILE1 and INFILE2; both should have the same format.

The operation is applied pairwise for INFILE1 and INFILE2 that must have the same number of transducers. If INFILE2 has only one transducer, the operation is applied for each transducer in INFILE1 keeping the second transducer constant.

EXAMPLES

hfst-subtract -o catdog.hfst cat.hfst dog.hfst
    subtracts transducers

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-subtract home page: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstSubtract>
General help using HFST software: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstHome>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.